;
; ###########################################################################
; #                               Welcome !                                 #
; #         This batchfile shows you the main features of OPlotV0.6         #
; #                                                                         #
; #           OPlot is 1993 by A.Maschke, all rights reserved.             #
; ###########################################################################
;
pause(3)
set(overscan=t)
opendisplay(hires,lace)
; ###########################################################################
; #                                                                         #
; #                        Multiple Function Plots                          #
; #                                                                         #
; ###########################################################################
pause(2)
plot(1,sin(x)..cos(x)..sin(x)*cos(x),-pi..2*pi)
showdisplay(1)
pause(5)
backdisplay(1)
cleardisplay(1)
; ###########################################################################
; #                                                                         #
; #                         Multiple Plot-Styles                            #
; #                                                                         #
; ###########################################################################
pause(2)
set(drawgt=f)
plot(1,sin(x)..sin(2*x)+2*sin(x),-pi..3*pi,plotstyle=impulses,drawaxis=f)
plot(1,sin(x)..sin(2*x)+2*sin(x),-pi..3*pi,plotstyle=lines,drawaxis=f)
plot(1,sin(x)..sin(2*x)+2*sin(x),-pi..3*pi,plotstyle=points,pointtype=star)
set(drawgt=t)
showdisplay(1)
pause(5)
backdisplay(1)
cleardisplay(1)
; ###########################################################################
; #                                                                         #
; #                               Log-Scale                                 #
; #                                                                         #
; ###########################################################################
pause(2)
set(xlogscale=t)
set(drawgt=f)
plot(1,sin(x)..sin(2*x)+2*sin(x),pi..5*pi,plotstyle=boxes,pcount=60)
set(drawgt=t)
set(xlogscale=f)
showdisplay(1)
pause(5)
backdisplay(1)
cleardisplay(1)
; ###########################################################################
; #                                                                         #
; #                           Parametrical Plots                            #
; #                                                                         #
; ###########################################################################
pause(2)
set(drawgt=f)
pplot(1,(12-3)*cos(t)+4*cos((12-3)/3*t),(12-3)*sin(t)-4*sin((12-3)/3*t),0..2*pi,plotstyle=points,pointtype=box,pointsize=8,drawaxis=f)
set(drawgt=t)
pplot(1,(12-3)*cos(t)+4*cos((12-3)/3*t),(12-3)*sin(t)-4*sin((12-3)/3*t),0..2*pi)
showdisplay(1)
pause(5)
backdisplay(1)
cleardisplay(1)
; ###########################################################################
; #                                                                         #
; #                  Parametrical Plots with custom ranges                  #
; #                                                                         #
; ###########################################################################
pause(2)
pplot(1,(9-3)*cos(t)+4*cos((9-3)/3*t),(9-3)*sin(t)-4*sin((9-3)/3*t),0..2*pi,-9..2,-5..11)
showdisplay(1)
pause(5)
backdisplay(1)
cleardisplay(1)
; ###########################################################################
; #                                                                         #
; #                     Multiple Parametrical Plots                         #
; #                                                                         #
; ###########################################################################
pause(2)
set(drawgt=f)
pplot(1,(12-3)*cos(t)-4*cos((12-3)/3*t)..(12-3)*cos(t),(12-3)*sin(t)-4*sin((12-3)/3*t)..(12-3)*sin(t)..-4*sin((12-3)/3*t),0..2*pi)
showdisplay(1)
pause(5)
backdisplay(1)
cleardisplay(1)
; ###########################################################################
; #                                                                         #
; #                         Multiple Data-Plots                             #
; #                                                                         #
; ###########################################################################
pause(2)
set(drawgt=f)
plotdata(1,ram:data1..ram:data2,plotstyle=points,pointtype=circle2,drawaxis=f)
plotdata(1,ram:data1..ram:data2)
showdisplay(1)
pause(5)
backdisplay(1)
cleardisplay(1)
; ###########################################################################
; #                                                                         #
; #          Multiple Data-Plots with Cubic-Spline-Interpolation            #
; #                                                                         #
; ###########################################################################
pause(2)
set(drawgt=f)
plotdata(1,ram:data1..ram:data2,cubsplinepnts=700,drawaxis=f)
plotdata(1,ram:data1..ram:data2,plotstyle=points,pointtype=box,pointsize=6,pointmode=filled)
showdisplay(1)
pause(6)
backdisplay(1)
cleardisplay(1)
; ###########################################################################
; #                                                                         #
; #         Multiple Data-Plots with Basic-Spline-Interpolation             #
; #                                                                         #
; ###########################################################################
pause(2)
set(drawgt=f)
plotdata(1,ram:data1..ram:data2,-1..10,-6..10,bsplinepnts=100,drawaxis=f)
plotdata(1,ram:data1..ram:data2,-1..10,-6..10)
showdisplay(1)
pause(6)
backdisplay(1)
cleardisplay(1)
; ###########################################################################
; #                                                                         #
; #       Data-Plot with Basic-Spline-Interpolation: altering Order         #
; #                                                                         #
; ###########################################################################
pause(2)
set(drawgt=f)
showdisplay(1)
set(bsplineorder=3)
plotdata(1,ram:data1,-1..10,-5..10,bsplinepnts=100,drawaxis=f)
set(bsplineorder=4)
plotdata(1,ram:data1,-1..10,-5..10,bsplinepnts=100,drawaxis=f)
set(bsplineorder=5)
plotdata(1,ram:data1,-1..10,-5..10,bsplinepnts=100,drawaxis=f)
plotdata(1,ram:data1,-1..10,-5..10)
pause(10)
backdisplay(1)
closedisplay(1)
; ###########################################################################
; #                                                                         #
; #                    Changing Display: LORES, LACE                        #
; #                                                                         #
; ###########################################################################
opendisplay(lores,lace)
pause(2)
showdisplay(2)
set(drawgt=false)
set(drawgt=false)
plotdata(2,ram:data1..ram:data2,-2..5,-6..3,plotstyle=points,drawaxis=false)
plotdata(2,ram:data1..ram:data2,-2..5,-6..3,plotstyle=lines,cubsplinepnts=600,title="Cubic-Spline-Interpolation")
set(drawgt=true)
set(drawgt=true)
pause(3)
closedisplay(2)
; ###########################################################################
; #                                                                         #
; #                   Changing Display: LORES, NOLACE                       #
; #                                                                         #
; ###########################################################################
opendisplay(lores,nolace)
pause(2)
showdisplay(3)
set(drawgt=false)
pplot(3,(15-3)*sin(t)-4*sin((15-3)/3*t),(15-3)*cos(t)+4*cos((15-3)/3*t),0..2*pi)
set(drawgt=true)
pause(3)
closedisplay(3)
; ###########################################################################
; #                                                                         #
; #                   Changing Display: HIRES, NOLACE                       #
; #                                                                         #
; ###########################################################################
opendisplay(hires,nolace)
pause(2)
showdisplay(4)
set(drawgt=false)
pplot(4,(16-4)*sin(t)-4*sin((16-4)/3*t),(16-4)*cos(t)+4*cos((16-4)/3*t),0..2*pi)
set(drawgt=true)
pause(3)
closedisplay(4)
; ###########################################################################
; #                                                                         #
; #                  Changing Display: SHIRES,NOLACE                        #
; #                                                                         #
; ###########################################################################
opendisplay(shires,nolace)
pause(2)
showdisplay(5)
set(drawgt=false)
set(drawgt=false)
plot(5,sin(x),-pi..2*pi,-2..3,plotstyle=points,pcount=50,drawaxis=false)
plot(5,cos(x),-pi..2*pi,-2..3,plotstyle=points,pointtype=circle,pcount=50,drawaxis=false)
plot(5,sin(x),-pi..2*pi,-2..3,plotstyle=impulses,pcount=50,drawaxis=false)
plot(5,cos(x),-pi..2*pi,-2..3,plotstyle=impulses,pcount=50,drawaxis=false)
set(drawgt=true)
plot(5,sin(x),-pi..2*pi,-2..3,plotstyle=lines,pcount=50,drawaxis=false)
plot(5,cos(x),-pi..2*pi,-2..3,plotstyle=lines,pcount=50)
set(drawgt=true)
pause(4)
closedisplay(5)
; ###########################################################################
; #                                                                         #
; #                    Changing Display: SHIRES, LACE                       #
; #                                                                         #
; ###########################################################################
opendisplay(shires,lace)
pause(2)
showdisplay(6)
set(drawgt=false)
pplot(6,(40-4)*sin(t)-12*sin((40-4)/4*t),(40-4)*cos(t)+12*cos((40-4)/4*t),0..2*pi,pcount=600)
set(drawgt=true)
pause(6)
closedisplay(6)
; ###########################################################################
; #                                                                         #
; #                              THAT'S ALL                                 #
; #                                                                         #
; ###########################################################################
pause(6)
exit
